Bug 531391 - Review Request: gwsmhg - hg/mq GUI
Summary: Review Request: gwsmhg - hg/mq GUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-28 01:11 UTC by Mads Kiilerich
Modified: 2009-11-20 05:25 UTC (History)
2 users (show)

Fixed In Version: 0.8.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 07:03:58 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mads Kiilerich 2009-10-28 01:11:56 UTC
gwsmhg is a PyGTK GUI wrapper for hg and mq allowing them to be used in an integrated manner to manage a work space.

http://bitbucket.org/kiilerix/gwsmhg-rpm/raw/tip/gwsmhg.spec
http://bitbucket.org/kiilerix/gwsmhg-rpm/downloads/gwsmhg-0.8.1-1.fc12.src.rpm

No rpmlint warnings, builds in mock, tested on rawhide/f12

Comment 1 Mamoru TASAKA 2009-10-30 17:59:23 UTC
Well,

* debug_package
  - "%define debug_package %{nil}" is not needed for noarch srpm.

! sed line for desktop
  - I suggest to move "sed -i" line to %prep as
    * Modifying text file by sed like this is like applying patches,
      which is usually done at %prep
    * And moving to %prep prevents this line from being called
      with "$ rpmbuild -bc --short-circuit"

* Desktop file
  - Categories "Application" "X-Fedora" are deprecated and should be
    removed.

Comment 2 Mads Kiilerich 2009-10-30 18:31:43 UTC
Thanks.

FWIW I had set debug_package to nil to avoid
  find: `debug': No such file or directory
but I can live with that ;-)

X-Fedora isn't in the freedesktop menuspec whitelist, but is it in any packaging guideline blacklist?

All comments are addressed in
http://bitbucket.org/kiilerix/gwsmhg-rpm/raw/tip/gwsmhg.spec
http://bitbucket.org/kiilerix/gwsmhg-rpm/downloads/gwsmhg-0.8.1-2.fc11.src.rpm

Comment 3 Mamoru TASAKA 2009-11-01 16:25:07 UTC
One issue
* Desktop file
  - Please also remove "Application" category.

(In reply to comment #2)
> X-Fedora isn't in the freedesktop menuspec whitelist, but is it in any
> packaging guideline blacklist?
- It is no longer used on Fedora (the discussion is rather old:
  http://www.redhat.com/archives/fedora-extras-list/2006-October/msg00723.html
  http://www.redhat.com/archives/fedora-packaging/2006-October/msg00188.html )
  "X-Fedora" category seems remains on fedora.us age.

Otherwise okay.
---------------------------------------------------------
   This package (gwsmhg) is APPROVED by mtasaka
---------------------------------------------------------

Comment 4 Mamoru TASAKA 2009-11-14 18:36:39 UTC
ping?

Comment 5 Mads Kiilerich 2009-11-16 00:54:20 UTC
New Package CVS Request
=======================
Package Name: gwsmhg
Short Description: A PyGTK GUI wrapper for hg and mq
Owners: kiilerix
Branches: F-11 F-12
InitialCC:

Comment 6 Jason Tibbitts 2009-11-16 17:48:34 UTC
CVS done.

Comment 7 Fedora Update System 2009-11-18 01:47:10 UTC
gwsmhg-0.8.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwsmhg-0.8.2-1.fc12

Comment 8 Fedora Update System 2009-11-18 01:48:29 UTC
gwsmhg-0.8.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gwsmhg-0.8.2-1.fc11

Comment 9 Mamoru TASAKA 2009-11-18 07:03:58 UTC
Closing.

Comment 10 Fedora Update System 2009-11-20 05:15:43 UTC
gwsmhg-0.8.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-20 05:25:08 UTC
gwsmhg-0.8.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.